Permalink
Browse files

Work-around a broken Markdown on Python 2.5

  • Loading branch information...
1 parent e7e974f commit 9e2d73a8f46682e6b4db2fe357e4c15cf56d52d0 @SimonSapin SimonSapin committed Oct 1, 2012
Showing with 6 additions and 1 deletion.
  1. +6 −1 setup.py
View
@@ -1,4 +1,5 @@
import re
+import sys
import os.path
from setuptools import setup, find_packages
@@ -27,7 +28,11 @@
install_requires=[
'Flask',
'PyYAML',
- 'Markdown',
+ # Markdown 2.2.0 is broken on Python 2.5:
+ # https://github.com/waylan/Python-Markdown/issues/113
+ # Change this back to just "Markdown" when a fix for this
+ # is released on PyPI.
+ 'Markdown' if sys.version_info >= (2, 6) else 'Markdown==2.1.1',
],
classifiers=[
'Environment :: Web Environment',

0 comments on commit 9e2d73a

Please sign in to comment.